#ifndef LCD_D7225_INCLUDED
#define LCD_D7225_INCLUDED

#include <stdint.h>

//Init LCD
extern void LCD_Init();

extern void LCD_Begin();
extern void LCD_End();

extern void LCD_Pointer( unsigned char _offset);
extern void LCD_DataCommand( unsigned char _value);

//show digit at position
//pos == 0..7, _value = 0..9
extern void LCD_Digit( uint8_t _pos, uint8_t _value );

//show/hide comma at position 1
extern void LCD_ShowComma1();
extern void LCD_HideComma1();

//show/hide comma at position 2
extern void LCD_ShowComma2();
extern void LCD_HideComma2();

//show/hide border symbol
extern void LCD_ShowBorder();
extern void LCD_HideBorder();

//show/hide ST symbol
extern void LCD_ShowST();
extern void LCD_HideST();

//show/hide MegaBass symbol
extern void LCD_ShowMegaBass();
extern void LCD_HideMegaBass();

//show/hide Track symbol
extern void LCD_ShowTrack();
extern void LCD_HideTrack();

//clear digit at position
extern void LCD_WhiteSpace( uint8_t _pos );

//show minus symbol in position 7
extern void LCD_ShowMinus( uint8_t _pos );

//show number at position 1 (digits 0,1,2,3,4)
//assuming _value is number*100
//999.99
extern void LCD_ShowNumber1( uint32_t _value );

//show number at position 2 (digits 5,6,7)
//assuming _value is number
//-99..99 
extern void LCD_ShowNumber2( int8_t _value );

//show "Calibrate"
extern void LCD_ShowCalibrate();
//hide "Calibrate"
extern void LCD_HideCalibrate();

//show float number
extern void LCD_ShowNumber( float _value, float _ofs );

//clear screen
extern void LCD_Clear();

//======= should be declared externally ===========
extern void LCD_CS( uint8_t val  );
extern void LCD_DATA( uint8_t val );
extern void LCD_CLK( uint8_t val );
//======= should be declared externally ===========



#endif